4 Replies Latest reply: Dec 10, 2009 3:43 PM by Gary Martin1
Gary Martin1 Level 5 Level 5 (4,610 points)
Will Final Cut Pro version 5 work with OSX 10.5.8?

Thanks...

dual 1 gig G-4, G-5 Dual 2 gig, 17 laptop, 3.2 TB raid drive, Mac OS X (10.4.4)
  • gogiangigo Level 6 Level 6 (8,035 points)
    No, since it it was not designed for Intel machines. FCP 5.1 (at the time the intel switch ocured), 6 and now 7 are your options.
  • Nick Holmes Level 7 Level 7 (29,975 points)
    Final Cut Pro 5.0 will work on 10.5.x. G4 and G5 computers.
    If you have Final Cut Studio with FCP 5.0, Compressor and Qmaster will not work. If you have an Intel based Mac, the suite will install but is generally incompatible. Lots of intermittent issues and wierdness.

    If you have Mac OS X 10.5.8 and FCS 1 with a 5.1.x FCP version, all is good. I have that combination running on my secondary system.
  • Gary Martin1 Level 5 Level 5 (4,610 points)
    I think I have FCS, but could you give me the version of Compressor and Qmaster so I can be sure before I do this change.

    Thanks, Gary
  • Nick Holmes Level 7 Level 7 (29,975 points)
    As mentioned above, if your copy of FCS includes FCP 5.1.x you can update the included versions of Qmaster and Compressor to 2.3.1 via Software Update. Then, and +only then+, will everything work.

    If your FCS contains only FCP 5.0.x you will need to upgrade or stick with Mac OS X 10.4.
    Note that if you decide to upgrade FCS that the latest version is Intel only. You might be able to find a copy of FCS with FCP 5.1 or FCS 2 on ebay or similar.